# class ActionView::LogSubscriber

# Action View Log Subscriber¶ ↑

Provides functionality so that Rails can output logs from Action View.

### Public Instance Methods

logger() click to toggle source

TODO: Ideally, ActionView should have its own logger so it does not depend on AC.logger

    # File lib/action_view/log_subscriber.rb, line 16
    def logger
      ActionController::Base.logger if defined?(ActionController::Base)
    end

render_collection(event)
Alias for: render_template
render_partial(event)
Alias for: render_template
render_template(event) click to toggle source

    # File lib/action_view/log_subscriber.rb, line 6
    def render_template(event)
      message = "  Rendered #{from_rails_root(event.payload[:identifier])}"
      message << " within #{from_rails_root(event.payload[:layout])}" if event.payload[:layout]
      message << (" (%.1fms)" % event.duration)
      info(message)
    end

Also aliased as: render_partial, render_collection

### Protected Instance Methods

from_rails_root(string) click to toggle source

    # File lib/action_view/log_subscriber.rb, line 22
    def from_rails_root(string)
      string.sub("#{Rails.root}/", "").sub(/^app\/views\//, "")
    end